VectorLinux
July 26, 2014, 08:50:26 am *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: [SOLVED] Buildbase for 7.0  (Read 2546 times)
roarde
Vectorian
****
Posts: 519


move the needle


« on: May 15, 2013, 05:07:44 pm »

Is there a ready-made buildbase for 7.0? If not, what can we use as a "clean" system for building packages?
« Last Edit: July 21, 2013, 06:36:12 pm by roarde » Logged

Robert
VL STD 7.1 RC2.2.2, icewmvmods
M0E-lnx
Administrator
Vectorian
*****
Posts: 3178



« Reply #1 on: May 16, 2013, 03:25:46 am »

The buildbot slaves use the 7.0 STD iso for this.  If you'd like to contribute packages, using the buildbot system is the way to go.  you can learn how to do it by reading the docunentation at http://vlcore.vectorlinux.com/buildbot/docs
Logged

roarde
Vectorian
****
Posts: 519


move the needle


« Reply #2 on: July 20, 2013, 07:28:25 pm »

After public release of 7.1 final, will the bots be using mkchroot on 7.1 STD iso, or will there be a different buildbase?
Logged

Robert
VL STD 7.1 RC2.2.2, icewmvmods
M0E-lnx
Administrator
Vectorian
*****
Posts: 3178



« Reply #3 on: July 21, 2013, 04:03:10 am »

After public release of 7.1 final, will the bots be using mkchroot on 7.1 STD iso, or will there be a different buildbase

The bots will use the mkchroot tool.  But 7.1 does have what we call a barebones iso.  This iso is noy for public release, but rather to be used as a build base for public releases.  The build slaves usechroot jails based on this iso.
Logged

Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!